apiVersion: admissionregistration.k8s.io/v1
kind: ValidatingWebhookConfiguration
metadata:
  name: config.kubefledged.io
  annotations:
    cert-manager.io/inject-ca-from: $(fastplatform.kustomize-bases.operators.kubefledged.namespace)/kubefledged-webhook.$(fastplatform.kustomize-bases.operators.kubefledged.namespace)-tls
webhooks:
  - admissionReviewVersions:
    - v1
    - v1beta1
    clientConfig:
      service:
        name: kubefledged-webhook
        namespace: $(fastplatform.kustomize-bases.operators.kubefledged.namespace)
        path: "/validate-image-cache"
    failurePolicy: Fail
    name: config.kubefledged.io
    rules:
    - operations:
      - CREATE
      - UPDATE
      apiGroups:
      - kubefledged.io
      apiVersions:
      - v1alpha2
      resources:
      - imagecaches
      scope: Namespaced
    sideEffects: None
